ClientDeployReport (gCube VRE Deploy Wizard Portlet 3.3.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.vredeployer.shared.deployreport

## Class ClientDeployReport

- java.lang.Object
- - org.gcube.portlets.admin.vredeployer.shared.deployreport.ClientDeployReport

- All Implemented Interfaces:
    Serializable

      public class ClientDeployReport
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientDeployReport()`
    `ClientDeployReport(DeployStatus status, ClientCloudReport cloudReport, ClientResourceManagerDeployingReport resourceManagerReport, ClientFunctionalityDeployReport functionalityReport, ClientResourcesDeployReport resourcesReport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientCloudReport` | `getCloudReport()`
    `ClientFunctionalityDeployReport` | `getFunctionalityReport()`
    `DeployStatus` | `getGlobalsStatus()`
    `ClientResourceManagerDeployingReport` | `getResourceManagerReport()`
    `ClientResourcesDeployReport` | `getResourcesReport()`
    `void` | `setCloudReport(ClientCloudReport cloudReport)`
    `void` | `setFunctionalityReport(ClientFunctionalityDeployReport functionalityReport)`
    `void` | `setGlobalStatus(DeployStatus status)`
    `void` | `setResourceManagerReport(ClientResourceManagerDeployingReport resourceManagerReport)`
    `void` | `setResourcesReport(ClientResourcesDeployReport resourcesReport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientDeployReport

          public ClientDeployReport()

    - #### ClientDeployReport

          public ClientDeployReport(DeployStatus status,
                            ClientCloudReport cloudReport,
                            ClientResourceManagerDeployingReport resourceManagerReport,
                            ClientFunctionalityDeployReport functionalityReport,
                            ClientResourcesDeployReport resourcesReport)

      Parameters:
        `status` - status
        `cloudReport` - cloudReport
        `resourceManagerReport` - resourceManagerReport
        `functionalityReport` - functionalityReport
        `resourcesReport` - resourcesReport

  - ### Method Detail

    - #### getGlobalsStatus

          public DeployStatus getGlobalsStatus()

      Returns:

    - #### setGlobalStatus

          public void setGlobalStatus(DeployStatus status)

      Parameters:
        `status` -

    - #### getCloudReport

          public ClientCloudReport getCloudReport()

      Returns:

    - #### setCloudReport

          public void setCloudReport(ClientCloudReport cloudReport)

      Parameters:
        `cloudReport` -

    - #### getResourceManagerReport

          public ClientResourceManagerDeployingReport getResourceManagerReport()

      Returns:

    - #### setResourceManagerReport

          public void setResourceManagerReport(ClientResourceManagerDeployingReport resourceManagerReport)

      Parameters:
        `resourceManagerReport` -

    - #### getFunctionalityReport

          public ClientFunctionalityDeployReport getFunctionalityReport()

      Returns:

    - #### setFunctionalityReport

          public void setFunctionalityReport(ClientFunctionalityDeployReport functionalityReport)

      Parameters:
        `functionalityReport` -

    - #### getResourcesReport

          public ClientResourcesDeployReport getResourcesReport()

      Returns:

    - #### setResourcesReport

          public void setResourcesReport(ClientResourcesDeployReport resourcesReport)

      Parameters:
        `resourcesReport` -

Copyright © 2014. All Rights Reserved.